<template>
  <div class="user-avatar-list-item-add-on">
    <div>
      <router-link :to="route"><UserAvatar :user="user" size="md" /></router-link>
    </div>
    <div>
      <router-link :to="route">{{ user.username }}</router-link>
    </div>
  </div>
</template>

<script>
import { computed } from 'vue'
import UserAvatar from './user-avatar.vue'

export default {
  name: 'UserAvatarListItemAddOn',
  components: {
    UserAvatar,
  },
  props: {
    user: { type: Object, required: true },
  },
  setup(props) {
    const route = computed(() => {
      return props.user ? { name: 'identity-user-profile', params: { username: props.user.username } } : null
    })

    return {
      route,
    }
  },
}
</script>

<style>
.user-avatar-list-item-add-on {
  display: flex;
  flex-direction: column;
  align-items: center;
}
</style>
